<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_shared_mem_ptr_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>tivx_shared_mem_ptr_t Struct Reference<br/>
<small>
[<a class="el" href="group__group__tivx__mem.html">Memory APIs</a>]</small>
</h1><!-- doxytag: class="tivx_shared_mem_ptr_t" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>Structure describing a shared memory pointer. </p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__shared__mem__ptr__t.html#aa11f6d52bfa3911e16d82f7b76306a2f">mem_type</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Memory region to which this pointer belongs, see <a class="el" href="group__group__tivx__mem.html#ga16613a56b37f0bda2cc3fef86f40518e">tivx_mem_type_e</a>.  <a href="#aa11f6d52bfa3911e16d82f7b76306a2f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__shared__mem__ptr__t.html#acd358584426137febe5a29ba465987e1">shared_ptr</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Value of pointer as seen in shared memory All CPUs will have method to convert from shared memory pointer to CPU local memory pointer.  <a href="#acd358584426137febe5a29ba465987e1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__shared__mem__ptr__t.html#a08ec9977d4f04424859d6ceea157bf2c">host_ptr</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Value of pointer as seen as by host CPU Host CPU will have method to convert to/from shared memory pointer.  <a href="#a08ec9977d4f04424859d6ceea157bf2c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__shared__mem__ptr__t.html#ac7cd343fc463946dfb84251ddf9225de">target_ptr</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Value of pointer as seen as by target CPU Target CPU will have method to convert to/from shared memory pointer.  <a href="#ac7cd343fc463946dfb84251ddf9225de"></a><br/></td></tr>
</table>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="aa11f6d52bfa3911e16d82f7b76306a2f"></a><!-- doxytag: member="tivx_shared_mem_ptr_t::mem_type" ref="aa11f6d52bfa3911e16d82f7b76306a2f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> <a class="el" href="structtivx__shared__mem__ptr__t.html#aa11f6d52bfa3911e16d82f7b76306a2f">tivx_shared_mem_ptr_t::mem_type</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Memory region to which this pointer belongs, see <a class="el" href="group__group__tivx__mem.html#ga16613a56b37f0bda2cc3fef86f40518e">tivx_mem_type_e</a>. </p>

</div>
</div>
<a class="anchor" id="acd358584426137febe5a29ba465987e1"></a><!-- doxytag: member="tivx_shared_mem_ptr_t::shared_ptr" ref="acd358584426137febe5a29ba465987e1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="structtivx__shared__mem__ptr__t.html#acd358584426137febe5a29ba465987e1">tivx_shared_mem_ptr_t::shared_ptr</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Value of pointer as seen in shared memory All CPUs will have method to convert from shared memory pointer to CPU local memory pointer. </p>

</div>
</div>
<a class="anchor" id="a08ec9977d4f04424859d6ceea157bf2c"></a><!-- doxytag: member="tivx_shared_mem_ptr_t::host_ptr" ref="a08ec9977d4f04424859d6ceea157bf2c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="structtivx__shared__mem__ptr__t.html#a08ec9977d4f04424859d6ceea157bf2c">tivx_shared_mem_ptr_t::host_ptr</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Value of pointer as seen as by host CPU Host CPU will have method to convert to/from shared memory pointer. </p>

</div>
</div>
<a class="anchor" id="ac7cd343fc463946dfb84251ddf9225de"></a><!-- doxytag: member="tivx_shared_mem_ptr_t::target_ptr" ref="ac7cd343fc463946dfb84251ddf9225de" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="structtivx__shared__mem__ptr__t.html#ac7cd343fc463946dfb84251ddf9225de">tivx_shared_mem_ptr_t::target_ptr</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Value of pointer as seen as by target CPU Target CPU will have method to convert to/from shared memory pointer. </p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
